var mongoose = require("mongoose");
var Schema = mongoose.Schema;
var autoInc = require("mongoose-auto-increment");

const TransactionSchema = new Schema({
  _id: Number,
  bookTitle: { type: String },
  buyerId: { type: String },
  sellerId: { type: String },
  on_transaction: { type: Boolean }
});

autoInc.initialize(mongoose.connection);
TransactionSchema.plugin(autoInc.plugin, "transaction");

module.exports = mongoose.model("transaction", TransactionSchema);
